/*********************************************************************

			        xBoard2 Sample Programs
					---------------------------


Description	: 	Simple program to blink led on PORTD7.
				The "USER Button" Controls Blink Rate
				Pressed = FAST
				
				NOTE: PLEASE SHORT JUMPER J1 (THIS WILL CONNECT LED WITH PD7)

				If you don't get the Tricks of Logical Operators
				(like & and |) please see

http://extremeelectronics.co.in/avr-tutorials/programming-in-c-tips-for-embedded-development/

				For Getting Started with AVR MCUs see

				http://extremeelectronics.co.in/category/avr-tutorials/


Author 		: Avinash Gupta
Web			: www.eXtremeElectronics.co.in
                   
**********************************************************************/



#include <avr/io.h>
#include <util/delay_basic.h>

void Wait(uint8_t delay)
{
	//Delay Function

	uint8_t i;
	for(i=0;i<delay;i++)
	{
		_delay_loop_2(0);
	}
}
void main()
{
	//Delay Varriable
	uint8_t delay=30;

	//Set the PORTD7 as output
	DDRD=0B10000000;

	//Enable Pullup on PORTD2 (USER Button)
	PORTD|=(1<<PD2);

	while(1)
	{
		PORTD|=0b10000000;	//Binary value 1=LED off

		Wait(delay);

		PORTD&=0b01111111;	//0=LED on.

		Wait(delay);

		//Test Input Button
		if(PIND & (1<<PB2))
		{
			//Button NOT pressed
			delay=30;

			//Slow Blink
		}
		else
		{
			//Button Pressed
			delay=5;

			//Fast Blink
		}

	}
}
