/*********************************************************************

			        xBoard(TM) v2.0 Sample Programs
					------------------------------------


Description	: Demonstrate the use of LCD interfacing functions.

Author 		: Avinash Gupta 2008
Web			: www.eXtremeElectronics.co.in
                   
**********************************************************************/

#include <avr/io.h>
#include <util/delay.h>

#include "lcd.h"

void main()
{
	unsigned char i;

	//Initialize LCD module
	LCDInit(LS_BLINK|LS_ULINE);

	//Clear the screen
	LCDClear();

	//Simple string printing
	LCDWriteString("Congrats ");
	
	//A string on line 2
	LCDWriteStringXY(0,1,"Loading ");

	//Print some numbers
	for (i=0;i<99;i+=1)
	{
		//First argument is column i.e. 9
		//Second is line number.
		//0 - for first line
		//1 - for second line
		//Third arg is int to print
		LCDWriteIntXY(9,1,i,3);
		LCDWriteStringXY(12,1,"%");

		_delay_loop_2(0);	
		_delay_loop_2(0);	
		_delay_loop_2(0);	
		_delay_loop_2(0);	


	}

	//Clear the screen
	LCDClear();

	//Some more text

	LCDWriteString("Hello world");
	LCDWriteStringXY(0,1,"By Avinash");		// <--- Write ur NAME HERE !!!!!!!!!!!

	//Wait
	for(i=0;i<100;i++) _delay_loop_2(0);

	//Some More ......
	LCDClear();
	LCDWriteString("    eXtreme");
	LCDWriteStringXY(0,1,"  Electronics");

	//Wait
	for(i=0;i<100;i++) _delay_loop_2(0);

	//YET Some More ......
	LCDClear();
	LCDWriteString("xBoard v2.0");
	LCDWriteStringXY(0,1,"*** ROCKS !! ***");

}





