#include <avr/io.h>
#include <util/delay.h>

//Support Peripherals
#include "remote.h"
#include "rckeys.h"
#include "motor.h"

void main()
{
	MotorInit();
	RemoteInit();

	uint8_t cmd;	//Remote Command Code

	while(1)
	{	
		MotorA(MOTOR_STOP,0);
		MotorB(MOTOR_STOP,0);

		cmd=GetRemoteCmd(1);	//Wait for a key press

		//Now take action

		if(cmd == RC_ENTER)
		{
			//Move the BOT forword with full speed (255)
			MotorA(MOTOR_CCW,255);
			MotorB(MOTOR_CW,255);
		}

		if(cmd == RC_DOWN)
		{
			//Move the BOT backward with full speed (255)
			MotorA(MOTOR_CW,255);
			MotorB(MOTOR_CCW,255);
		}

		if(cmd == RC_LEFT)
		{
			//Move the BOT left with full speed (255)
			MotorA(MOTOR_CCW,255);
			MotorB(MOTOR_CCW,255);
		}

		if(cmd == RC_RIGHT)
		{
			//Move the BOT backward with full speed (255)
			MotorA(MOTOR_CW,255);
			MotorB(MOTOR_CW,255);
		}

		_delay_loop_2(0);
		_delay_loop_2(0);
	
	}
}
		

		

